### Method

# Clutter Timeline list_markers

#### Declaration [src]

    gchar**
    clutter_timeline_list_markers (
      ClutterTimeline* timeline,
      gint msecs,
      gsize* n_markers
    )

#### Description [src]

Retrieves the list of markers at time `msecs`. If `msecs` is a negative integer, all the markers attached to `timeline` will be returned.

#### Parameters

`msecs`

  Type: `gint`

  The time to check, or -1.

`n_markers`

  Type: `gsize*`

  The number of markers returned.

  The argument will be set by the function.

#### Return value

Type: An array of `utf8`

a newly allocated, `NULL` terminated string array containing the names of the markers. Use `g_strfreev()` when done.

The array is `NULL`-terminated.
The length of the array is in the `n_markers` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.